------------------------------------------------------------------------------------------------------
-- BattleCry Localization Translations & Environment Variables
-- 
-- Version 2.25
------------------------------------------------------------------------------------------------------

BC_ADDON_NAME = "BattleCry";
BC_VERSION = 2.25;
BC_SLIDERLABEL_0 = "0%";
BC_SLIDERLABEL_1 = "x1";
BC_SLIDERLABEL_10 = "x10";
BC_SLIDERLABEL_100 = "100%";

BC_TITLE = "BattleCry Version " .. tostring(BC_VERSION);

if(GetLocale() == "deDE") then
------------------------------------------------
-- GERMAN  VERSION TEXTS -- Many thanks to Mergan for German translation
------------------------------------------------
	
		-- Variables									-- Examples
	BC_VARS_PROS = { "es", "er", "sie" };				-- It took the ball. He is running away. She has red hair.
	BC_VARS_PROO = { "sein", "sein", "ihr" };			-- That belongs to it. I don't see him. There's no room for her.
	BC_VARS_PROP = { "sein", "seins", "ihrs" };			-- Don't touch its tail. I can read his mind. The dress is hers.
	BC_VARS_GEN1 = { "es", "Männlich", "Weiblich" };			
	BC_VARS_GEN2 = { "es", "Mann", "Frau" };	
	BC_VARS_CATEGORYPET = "Tier";
	BC_VARS_CATEGORYCUSTOM = "Eigene";	
	BC_VARS_MODES = { "Sagen", "Emote", "Schreien", "Gruppe", "Raid", "Warning"};
	BC_VARS_QUALIFIERS = { "schwach", "gering", "groß", "erheblich" };		

		-- Slider Labels
	BC_SLIDERLABEL_FREQUENCY = "Cry Häufigkeit %";
	BC_SLIDERLABEL_OCCURANCE = "Occurance Multiplier";	-- Needs translation
	
		-- Frame Labels
	BC_FRAMELABEL_CATEGORIES = "Kategorien";
	BC_FRAMELABEL_ACTIONS = "Aktionen";
	BC_FRAMELABEL_CRIES = "Gespeicherte Cry's";
	BC_FRAMELABEL_CUSTOMS = "Custom Actions";			-- Needs Translation
	BC_FRAMELABEL_EDITCRY = "Edit BattleCry";			-- Needs Translation
	BC_FRAMELABEL_CHAINS = "Gesicherte Ketten";
	BC_FRAMELABEL_CHAINHEAD = "Head of Chain";			-- Needs Translation
	BC_FRAMELABEL_CHAINTAIL = "Tail of Chain";			-- Needs Translation
	BC_FRAMELABEL_CONDITIONS = "Conditions";			-- Needs Translation
	
		-- Tab Labels	
	BC_TABLABEL_CRIES = "Edit Cries";					-- Needs Translation
	BC_TABLABEL_CHAINS = "Cry Chains";					-- Needs Translation
	
		-- Editbox Labels
	BC_EDITBOXLABEL_COOLDOWN = "Cooldown\n(seconds)";	-- Needs Translation
	BC_EDITBOXLABEL_CRYNAME = "Name des Cry's";
	BC_EDITBOXLABEL_CRYTEXT = "Cry Text";				-- Needs Translation
	BC_EDITBOXLABEL_TARGET = "Ziel";
	BC_EDITBOXLABEL_VARIABLE = "Variable";
	BC_EDITBOXLABEL_TEST = "Test";
	BC_EDITBOXLABEL_VALUE = "Wert";
	
		-- Checkbox Labels
	BC_CHECKBOXLABEL_DISABLE = "Deaktiviere BattleCry";
	BC_CHECKBOXLABEL_EXCLUSIVE = "Exklusiv";
	BC_CHECKBOXLABEL_EXCLUDE = "Exclude";					-- Needs Translation
	BC_CHECKBOXLABEL_START = "Cry bei Begin des Wirkens";
	BC_CHECKBOXLABEL_INTERRUPT = "Cry on interrupt";		-- Needs Translation
	BC_CHECKBOXLABEL_FREQUENCY = "Ignoriere Häufigkeit";
	
		-- Button Labels
	BC_BUTTONLABEL_SAVE = "Speichern";
	BC_BUTTONLABEL_TEST = "Test";			-- Needs Translation
	BC_BUTTONLABEL_DELETE = "Löschen";
	BC_BUTTONLABEL_ADD = "hinzufügen";
	BC_BUTTONLABEL_NEW = "New";				-- Needs Translation
	BC_BUTTONLABEL_REMOVE = "Remove";		-- Needs Translation
	BC_BUTTONLABEL_RESET = "Reset";			-- Needs Translation
	BC_BUTTONLABEL_ACCEPT = "Ok";
	BC_BUTTONLABEL_CANCEL = "Abbrechen";
	BC_BUTTONLABEL_CONDITIONS = "Bedingungen";
	
		-- Dropdown Labels
	BC_DROPDOWNLABEL_LANGUAGE = "Sprache";
	BC_DROPDOWNLABEL_MODE = "Ausgabe Typ";
	
		-- Display Text
	BC_TEXT_ADDONLOADED = "|CFFFFFF00BattleCry|r Version |CFFFFFF00" .. BC_VERSION .. "|r geladen. Für Wahlen: |CFF40F040/battlecry help|r";

	BC_TEXT_SAVECRY = "Saving Cry [XCRYX] to action XACTIONX.";					-- Needs Translation
	BC_TEXT_SAVECRY_FAIL01 = "No action or cry to save.";						-- Needs Translation
	BC_TEXT_SAVECRY_FAIL02 = "Ihr müsst einen Namen für diesen Cry eingeben.";
	BC_TEXT_SAVECRY_FAIL03 = "Ihr müsst einen Text für diesen Cry eingeben.";
	BC_TEXT_SAVECRY_FAIL04 = "A variable in your cry text could not evaluate.";	-- Needs Translation
	BC_TEXT_REMOVECRY = "Removing Cry [XCRYX] from action XACTIONX.";			-- Needs Translation

	BC_TEXT_CHAINEXPLAIN = "When XACTION2X is initiated immediately after XACTION1X executed cry XCRY1X, then XACTION2X will automatically execute cry XCRY2X.";	-- Needs Translation

	BC_TEXT_ADDCUSTOM = "Custom action XACTIONX created.";		-- Needs Translation
	BC_TEXT_DELETECUSTOM = "Custom action XACTIONX deleted.";	-- Needs Translation
	BC_TEXT_DELETECUSTOMCONFIRM = "Really delete\nXACTIONX?";	-- Needs Translation

	BC_TEXT_SAVEACTION = "Saving settings for XACTIONX: [Frequency: XFREQUENCYX%] [Cooldown: XCOOLDOWNX].";	-- Needs Translation
	
	BC_TEXT_CONDITIONTEST = "Looking at XTARGETX, examining if XVARIABLEX XTESTX XVALUEX currently evaluates to XRESULTX.";	-- Needs Translation
	BC_TEXT_CONDITIONTESTFAIL01 = "You must enter a valid target, variable, test and value.";	-- Needs Translation
	
	BC_TEXT_CHAINSAVESUCCESS = "Saving cry chain XNAMEX.";			-- Needs Translation
	BC_TEXT_CHAINSAVEFAIL01 = "Cry chain XNAMEX already exists.";	-- Needs Translation
	BC_TEXT_CHAINREMOVE = "Deleting cry chain XNAMEX.";				-- Needs Translation
	
	BC_TEXT_ECHOTOGGLE = "BattleCry action echo XONOFFX.";	-- Needs Translation
	BC_TEXT_ECHO = "Gerade benutze Aktion: ";

	BC_TEXT_ON = "An";
	BC_TEXT_OFF = "Aus";

	--Help Messages (General)
	BC_TEXT_HELP = {
		[1] = "|CFFFFFF00BattleCry|r Version |CFF40F040" .. BC_VERSION .. "|r Hilfe:",
		[2] = "|CFF40F040/bc|r and |CFF40F040/battlecry|r are interchangeable.",											-- Needs Translation
		[3] = "|CFF40F040/bc|r - Zeigt oder blendet das BC options Fenster ein oder aus.",
		[4] = "|CFF40F040/bc help|r - Zeigt diese Nachricht.",
		[5] = "|CFF40F040/bc vars|r - Zeigt eine Liste von Variablen die für die Cry's benutzt werden können.",
		[6] = "|CFF40F040/bc echo|r - Wechselt die Anzeige des Namens der Aktion wie sie von BC momentan benutzt wird.",
		[7] = "|CFF40F040/bc cry <action>|r - Gibt einen zufälligen Cry für <Aktionsname> aus. This is case sensitive.",	-- Needs Translation
		[8] = "|CFF40F040/bc emote|r - Display a listing of all available emote commands.",									-- Needs Translation
	};

	BC_TEXT_HELPVARS = {				
		"Name der Einheit",
		"Maximales Leben der Einheit",
		"Derzeitiges Leben der Einheit",
		"Derzeitiges Leben der Einheit in Prozent",
		"Maximales Mana/Wut/Energie/Fokus of Einheit",
		"Derzeitiges Mana/Wut/Energie/Fokus of Einheit",
		"Maximales Mana/Wut/Energie/Fokus der Einheit in Prozent",
		"Klasse der Einheit",
		"Klassifikation der Einheit (Elite, Rare, etc.)",
		"Tier Familie der Einheit (Bär, Krabbe, etc.)",
		"Typ der Einheit (humanoid, untot, dämon, etc.)",
		"Partei der Einheit (Alliance, Horde)",
		"Rasse der Einheit (Gnom, Taure, etc.)",
		"Level der Einheit",
		"Geschlecht der Einheit",
		"Gilde der die Einheit angehörrt",
		"PvP status der Einheit (An(true), Aus(false))",
		"Kampf status der Einheit (true für im Kampf, false für nicht im Kampf)",
		"Reaktion der Einheit auf dich (1 - 7 für Außergewöhnlich feindlich - Außergewöhnlich freundlich )",
		"Ob die Einheit ein Zivilist ist (ja(true), nein(false))",
		"Name des Haustiers",
		"Gegenstandpronomen der Einheit  (sein, sein, ihr)", 
		"Besitzergreifendes Pronomen der Einheit (sein, seins, ihrs)", 
		"Subject pronoun of Einheit (es, er, sie)", 
		"Geschlecht der Einheit (es, Männlich, Weiblich)", 
		"Geschlecht der Einheit (es, Mann, Frau)", 
	};
	
elseif(GetLocale() == "frFR") then
------------------------------------------------
-- FRENCH  VERSION TEXTS -- Many thanks to Helghast for French translation
------------------------------------------------
	
		-- Variables							-- Examples
	BC_VARS_PROS = { "ça", "il", "elle" };		-- It took the ball. He is running away. She has red hair.
	BC_VARS_PROO = { "ça", "lui", "elle" };		-- That belongs to it. I don't see him. There's no room for her.
	BC_VARS_PROP = { "son", "son", "sa" };		-- Don't touch its tail. I can read his mind. The dress is hers.
	BC_VARS_GEN1 = { "il", "mâle", "femelle" };			
	BC_VARS_GEN2 = { "il", "homme", "femme" };	

	BC_VARS_CATEGORYPET = "Familier";
	BC_VARS_CATEGORYCUSTOM = "Personalisé";	
	BC_VARS_MODES = { "Dire", "Emote", "Crier", "Groupe", "Raid", "Avertissement raid"};
	BC_VARS_QUALIFIERS = { "mineure", "inférieure", "supérieure", "majeure" };	

		-- Slider Labels
	BC_SLIDERLABEL_FREQUENCY = "Fréquence des cris en %";
	BC_SLIDERLABEL_OCCURANCE = "Occurance Multiplier";	-- Needs translation
	
		-- Frame Labels
	BC_FRAMELABEL_CATEGORIES = "Catégories";
	BC_FRAMELABEL_ACTIONS = "Actions";
	BC_FRAMELABEL_CRIES = "Cris sauvés";
	BC_FRAMELABEL_CUSTOMS = "Actions personalisées";
	BC_FRAMELABEL_EDITCRY = "Modifier BattleCry";
	BC_FRAMELABEL_CHAINS = "Chaines sauvegardées";
	BC_FRAMELABEL_CHAINHEAD = "Tête de chaine";
	BC_FRAMELABEL_CHAINTAIL = "Queue de chaine";
	BC_FRAMELABEL_CONDITIONS = "Conditions";
	
		-- Tab Labels
	BC_TABLABEL_CRIES = "Mofifier les cris";
	BC_TABLABEL_CHAINS = "Chaines de cris";
	
		-- Editbox Labels
	BC_EDITBOXLABEL_COOLDOWN = "Rechargement\n(secondes)";
	BC_EDITBOXLABEL_CRYNAME = "Nom du cri";
	BC_EDITBOXLABEL_CRYTEXT = "Texte du cri";
	BC_EDITBOXLABEL_TARGET = "Cible";
	BC_EDITBOXLABEL_VARIABLE = "Variable";
	BC_EDITBOXLABEL_TEST = "Test";
	BC_EDITBOXLABEL_VALUE = "Valeur";
	
		-- Checkbox Labels
	BC_CHECKBOXLABEL_DISABLE = "Désactiver BattleCry";
	BC_CHECKBOXLABEL_EXCLUSIVE = "Exclusif";
	BC_CHECKBOXLABEL_EXCLUDE = "Exclure";
	BC_CHECKBOXLABEL_START = "Activer au lancement";
	BC_CHECKBOXLABEL_INTERRUPT = "Activer en cas d'interruption";
	BC_CHECKBOXLABEL_FREQUENCY = "Ignorer la fréquence";
	
		-- Button Labels
	BC_BUTTONLABEL_SAVE = "Sauver";
	BC_BUTTONLABEL_TEST = "Tester";
	BC_BUTTONLABEL_DELETE = "Enlever";
	BC_BUTTONLABEL_ADD = "Ajouter";
	BC_BUTTONLABEL_NEW = "Nouveau";
	BC_BUTTONLABEL_REMOVE = "Enlever";
	BC_BUTTONLABEL_RESET = "RàZ";
	BC_BUTTONLABEL_ACCEPT = "Accepter";
	BC_BUTTONLABEL_CANCEL = "Annuler";
	BC_BUTTONLABEL_CONDITIONS = "Conditions";
	
		-- Dropdown Labels
	BC_DROPDOWNLABEL_LANGUAGE = "Langage";
	BC_DROPDOWNLABEL_MODE = "Mode d'expression";
	
		-- Display Text
	BC_TEXT_ADDONLOADED = "|CFFFFFF00BattleCry|r Version |CFFFFFF00" .. BC_VERSION .. "|r chargé. Pour les options taper : |CFF40F040/battlecry help|r";

	BC_TEXT_SAVECRY = "Sauvegarde du cri [XCRYX] pour l'action XACTIONX.";							
	BC_TEXT_SAVECRY_FAIL01 = "Pas d'action ou de cri à sauver.";								
	BC_TEXT_SAVECRY_FAIL02 = "Vous devez choisir un nom pour ce cri.";
	BC_TEXT_SAVECRY_FAIL03 = "Vous devez choisir un texte pour ce cri.";
	BC_TEXT_SAVECRY_FAIL04 = "Une variable dans votre cri pourrait ne pas correspondre.";
	BC_TEXT_REMOVECRY = "Cri [XCRYX] retiré de l'action XACTIONX.";

	BC_TEXT_CHAINEXPLAIN = "Si l'action XACTION2X est entreprise juste après que le cri XCRY1X ait été exécuté pour l'action XACTION1X, alors l'action XACTION2X va automatiquement déclencher le cri XCRY2X.";

	BC_TEXT_ADDCUSTOM = "Action personalisée ajoutée : XACTIONX.";
	BC_TEXT_DELETECUSTOM = "Action personalisée XACTIONX supprimée.";
	BC_TEXT_DELETECUSTOMCONFIRM = "Supprimer\nXACTIONX?";
	BC_TEXT_SAVEACTION = "Sauvegarde des données pour XACTIONX: [Frequence: XFREQUENCYX%] [Rechargement: XCOOLDOWNX].";
	
	BC_TEXT_CONDITIONTEST = "Examine la cible [XTARGETX], vérifiant que la variable [XVARIABLEX], le test [XTESTX] et la valeur [XVALUEX] aboutissent bien au résultat [XRESULTX].";
	BC_TEXT_CONDITIONTESTFAIL01 = "Vous devez indiquer une cible, une variable un test et une valeur valides.";
	
	BC_TEXT_CHAINSAVESUCCESS = "Sauvegarde de la chaine de cris XNAMEX.";
	BC_TEXT_CHAINSAVEFAIL01 = "La chaine de cris XNAMEX éxiste déjà.";
	BC_TEXT_CHAINREMOVE = "Suppression de la chaine de cris XNAMEX.";

	BC_TEXT_ECHOTOGGLE = "BattleCry action echo XONOFFX.";			-- Needs Translation
	BC_TEXT_ECHO = "Dernière action utilisée : ";

	BC_TEXT_ON = "Activé";
	BC_TEXT_OFF = "Désactivé";

	--Help Messages (General)
	BC_TEXT_HELP = {
		[1] = "|CFFFFFF00BattleCry|r Version |CFF40F040" .. BC_VERSION .. "|r Aide :",
		[2] = "|CFF40F040/bc|r et |CFF40F040/battlecry|r sont interchangeables.",
		[3] = "|CFF40F040/bc|r - Affiche ou cache la fenètre d'options de BattleCry.",
		[4] = "|CFF40F040/bc help|r - Affiche ce message.",
		[5] = "|CFF40F040/bc vars|r - Affiche une liste de variables que vous pouvez utiliser dans vos cris.",
		[6] = "|CFF40F040/bc echo|r - Bascule l'affichage du nom des actions tel que l'utilise BattleCry.",
		[7] = "|CFF40F040/bc cry <action>|r - Effectue un cri aléatoire pour l'action <action>. Les majuscules sont prises en compte, soyez vigilant.",
		[8] = "|CFF40F040/bc emote|r - Affiche la liste de toutes les emotes disponibles (en anglais).",									
	};
	
	BC_TEXT_HELPVARS = {
		"Nom de la cible",
		"Santé maximum",
		"Santé actuelle",
		"Santé actuelle en %",
		"Mana/rage/etc. maximum",
		"Mana/rage/etc. actuel",
		"Mana/rage/etc. actuel en %",
		"Classe",
		"Classification (élite, rare, etc.)",
		"Famille animale (ours, crabe, etc.)",
		"Type (humanoïde, démon, etc.)",
		"Faction de la cible (Alliance, Horde)",
		"Race de la cible (gnome, tauren, etc.)",
		"Niveau",
		"Genre (1=aucun, 2=mâle, 3=femelle)",
		"Guilde à laquelle appartient la cible",
		"Statut JcJ (Activé =1, Désactivé =0)",
		"Statut de combat (en combat =1, hors combat =0)",
		"Comportement à votre égard (1 - 7 de hostile vers amical)",
		"Statut de civil (Oui =1, non =0)",
		"Nom du familier",
		"Pronom objet (ça, lui, elle)", 
		"Pronom possessif (son, son, sa)", 
		"Pronom sujet (ça, il, elle)", 
		"Genre (ça, mâle, femelle)", 
		"Genre (ça, homme, femme)", 
	};

else
------------------------------------------------
-- ENGLISH  VERSION TEXTS (DEFAULT)--
------------------------------------------------
	
		-- Variables							-- Examples
	BC_VARS_PROS = { "it", "he", "she" };		-- It took the ball. He is running away. She has red hair.
	BC_VARS_PROO = { "it", "him", "her" };		-- That belongs to it. I don't see him. There's no room for her.
	BC_VARS_PROP = { "its", "his", "hers" };	-- Don't touch its tail. I can read his mind. The dress is hers.
	BC_VARS_GEN1 = { "it", "male", "female" };
	BC_VARS_GEN2 = { "it", "man", "woman" };	
	BC_VARS_CATEGORYPET = "Pet";
	BC_VARS_CATEGORYCUSTOM = "Custom";	
	BC_VARS_MODES = { "Say", "Emote", "Yell", "Group", "Raid", "Warning"};
	BC_VARS_QUALIFIERS = { "Lesser", "Greater", "Minor", "Major" };		

		-- Slider Labels
	BC_SLIDERLABEL_FREQUENCY = "Cry Frequency %";
	BC_SLIDERLABEL_OCCURANCE = "Occurance Multiplier";
	
		-- Frame Labels
	BC_FRAMELABEL_CATEGORIES = "Categories";
	BC_FRAMELABEL_ACTIONS = "Actions";
	BC_FRAMELABEL_CRIES = "Saved Cries";
	BC_FRAMELABEL_CUSTOMS = "Custom Actions";
	BC_FRAMELABEL_EDITCRY = "Edit BattleCry";
	BC_FRAMELABEL_CHAINS = "Saved Chains";
	BC_FRAMELABEL_CHAINHEAD = "Head of Chain";
	BC_FRAMELABEL_CHAINTAIL = "Tail of Chain";
	BC_FRAMELABEL_CONDITIONS = "Conditions";
	
		-- Tab Labels
	BC_TABLABEL_CRIES = "Edit Cries";
	BC_TABLABEL_CHAINS = "Cry Chains";
	
		-- Editbox Labels
	BC_EDITBOXLABEL_COOLDOWN = "Cooldown\n(seconds)";
	BC_EDITBOXLABEL_CRYNAME = "Name of BattleCry";
	BC_EDITBOXLABEL_CRYTEXT = "BattleCry Text";
	BC_EDITBOXLABEL_TARGET = "Target";
	BC_EDITBOXLABEL_VARIABLE = "Variable";
	BC_EDITBOXLABEL_TEST = "Test";
	BC_EDITBOXLABEL_VALUE = "Value";
	
		-- Checkbox Labels
	BC_CHECKBOXLABEL_DISABLE = "Disable BattleCry";
	BC_CHECKBOXLABEL_EXCLUSIVE = "Exclusive";
	BC_CHECKBOXLABEL_EXCLUDE = "Exclude";
	BC_CHECKBOXLABEL_START = "Cry on Start";
	BC_CHECKBOXLABEL_INTERRUPT = "Cry on Interrupt";
	BC_CHECKBOXLABEL_FREQUENCY = "Ignore Frequency";
	
		-- Button Labels
	BC_BUTTONLABEL_SAVE = "Save";
	BC_BUTTONLABEL_TEST = "Test";
	BC_BUTTONLABEL_DELETE = "Delete";
	BC_BUTTONLABEL_ADD = "Add";
	BC_BUTTONLABEL_NEW = "New";
	BC_BUTTONLABEL_REMOVE = "Remove";
	BC_BUTTONLABEL_RESET = "Reset";
	BC_BUTTONLABEL_ACCEPT = "Accept";
	BC_BUTTONLABEL_CANCEL = "Cancel";
	BC_BUTTONLABEL_CONDITIONS = "Conditions";
	
		-- Dropdown Labels
	BC_DROPDOWNLABEL_LANGUAGE = "Language";
	BC_DROPDOWNLABEL_MODE = "Output Mode";
	
		-- Display Text
	BC_TEXT_ADDONLOADED = "|CFFFFFF00BattleCry|r Version |CFFFFFF00" .. BC_VERSION .. "|r loaded. For options type: |CFF40F040/battlecry help|r";

	BC_TEXT_SAVECRY = "Saving Cry [XCRYX] to action XACTIONX.";
	BC_TEXT_SAVECRY_FAIL01 = "No action or cry to save.";
	BC_TEXT_SAVECRY_FAIL02 = "You must enter a name for the cry.";
	BC_TEXT_SAVECRY_FAIL03 = "You must enter text for the cry.";
	BC_TEXT_SAVECRY_FAIL04 = "A variable in your cry text could not evaluate.";
	BC_TEXT_REMOVECRY = "Removing Cry [XCRYX] from action XACTIONX.";

	BC_TEXT_CHAINEXPLAIN = "When XACTION2X is initiated immediately after XACTION1X executed cry XCRY1X, then XACTION2X will automatically execute cry XCRY2X.";

	BC_TEXT_ADDCUSTOM = "Custom action XACTIONX created.";
	BC_TEXT_DELETECUSTOM = "Custom action XACTIONX deleted.";
	BC_TEXT_DELETECUSTOMCONFIRM = "Really delete\nXACTIONX?";

	BC_TEXT_SAVEACTION = "Saving settings for XACTIONX: [Frequency: XFREQUENCYX%] [Cooldown: XCOOLDOWNX].";
	
	BC_TEXT_CONDITIONTEST = "Looking at XTARGETX, examining if XVARIABLEX XTESTX XVALUEX currently evaluates to XRESULTX.";
	BC_TEXT_CONDITIONTESTFAIL01 = "You must enter a valid target, variable, test and value.";
	
	BC_TEXT_CHAINSAVESUCCESS = "Saving cry chain XNAMEX.";
	BC_TEXT_CHAINSAVEFAIL01 = "Cry chain XNAMEX already exists.";
	BC_TEXT_CHAINREMOVE = "Deleting cry chain XNAMEX.";
	
	BC_TEXT_ECHOTOGGLE = "BattleCry action echo XONOFFX.";
	BC_TEXT_ECHO = "You just used action: ";

	BC_TEXT_ON = "On";
	BC_TEXT_OFF = "Off";

	--Help Messages (General)
	BC_TEXT_HELP = {
		[1] = "|CFFFFFF00BattleCry|r Version |CFF40F040" .. BC_VERSION .. "|r help:",
		[2] = "|CFF40F040/bc|r and |CFF40F040/battlecry|r are interchangeable.",
		[3] = "|CFF40F040/bc|r - Show or hide the BattleCry options window.",
		[4] = "|CFF40F040/bc help|r - Display this message.",
		[5] = "|CFF40F040/bc vars|r - Display a list of variables that you can use in your cries.",
		[6] = "|CFF40F040/bc echo|r - Toggle displaying the action's name as BattleCry uses it.",
		[7] = "|CFF40F040/bc cry <action>|r - Execute a random cry for <action>. This is case sensitive.",
		[8] = "|CFF40F040/bc emote|r - Display a listing of all available emote commands.",
	};
end

	BC_TEXT_PET = "Pet";

	BC_TEXT_PET_ACTIONS = {
		["attack"] = BC_TEXT_PET .. " Attack",
		["follow"] = BC_TEXT_PET .. " Follow",
		["wait"] = BC_TEXT_PET .. " Stay",
		["aggressive"] = BC_TEXT_PET .. " Agressive",
		["defensive"] = BC_TEXT_PET .. " Defensive",
		["passive"] = BC_TEXT_PET .. " Passive",
	};
	
	BC_TEXT_HELPVARS = {				
		"Name of unit",
		"Maximum health of unit",
		"Current health of unit",
		"Current health of unit as percentage",
		"Maximum mana/rage/energy/focus of unit",
		"Current mana/rage/energy/focus of unit",
		"Maximum mana/rage/energy/focus of unit as percentage",
		"Class of unit",
		"Classification of unit (elite, rare, etc.)",
		"Bestial family of unit (bear, crab, etc.)",
		"Type of unit (humanoid, undead, demon, etc.)",
		"Faction of unit (Alliance, Horde)",
		"Race of unit (gnome, tauren, etc.)",
		"Level of unit",
		"Gender of Unit (1=none, 2=male, 3=female)",
		"Guild that unit is member of",
		"PvP status of unit (true, false)",
		"Combat status of unit (true for in combat, false for out of combat)",
		"If the unit is in your party (true, false)",	-- Needs Translation
		"If the unit is in your raid (true, false)",	-- Needs Translation
		"Reaction of unit toward you (1 - 7 for Exceptionally Hostile - Exceptionally Friendly)",
		"Whether the unit is a civilian (true, false)",
		"Name of Pet",
		"Object pronoun of unit (it, him, her)", 
		"Possessive pronoun of unit (its, his, hers)", 
		"Subject pronoun of unit (it, he, she)", 
		"Gender of unit (it, male, female)", 
		"Gender of unit (it, man, woman)", 
		"Event variables",
		"Main hand slot item",							-- Needs Translation
		"Off-hand slot item",							-- Needs Translation
		"Ranged weapon slot item",						-- Needs Translation
		"Zone name of player",							-- Needs Translation
	};

BC_DROPDOWNLABEL_CAST = "Cry when Action:";

BC_FRAMELABEL_EVENTFINDER = "Event Finder";

BC_TABLABEL_EVENTS = "Event Watches";

BC_TEXT_CONDITIONTESTFAIL02 = "There is no way to test the validity of an event condition without the event happening.";

BC_BUTTONLABEL_SHOWFINDER = "Show Event Finder";
BC_BUTTONLABEL_ACTIVATE = "Activate";
BC_BUTTONLABEL_DEACTIVATE = "Deactivate";

BC_EDITBOXLABEL_EVENTWATCHNAME = "Name of Event Watch";
BC_EDITBOXLABEL_EVENTFINDERARG = "Argument";

BC_VARS_CASTCRY = { "Completes", "Starts", "Is Interrupted",};
BC_VARS_CATEGORYEVENTS = "Events";
BC_VARS_CATEGORYARG1 = "Argument 1";
BC_VARS_CATEGORYARG2 = "Argument 2";
BC_VARS_CATEGORYWATCHES = "Saved Watches";

BC_TEXT_EVENTWATCH_SAVE_SUCCESS = " saved as Event Watch. You can now add cries to it from the Events category.";
BC_TEXT_EVENTWATCH_SAVE_FAIL_01 = "Event Watch not saved. You must name the watch.";
BC_TEXT_EVENTWATCH_SAVE_FAIL_02 = "Event Watch not saved. You must select an event to watch.";

BC_TEXT_EVENTWATCH_DELETE_SUCCESS = " successfully removed from Event Watches.";

BC_Tooltips = {
	["CryEditCategoryFrame"] = {
		name = BC_FRAMELABEL_CATEGORIES, 
		text = "Each category can contain a number of different actions that you can add cries to. BattleCry automatically adds categories for each of the four categories found in your spellbook (General and three talent trees), Pet actions (as long as your pet is out), Custom actions and Events."},
	["CryEditCustomCryEditActionFrame"] = {
		name = BC_FRAMELABEL_CUSTOMS, 
		text = "You can add custom actions that will execute cries when you use inventory items or when you tell it to by typing the command in the chat window. For cries to execute on inventory items, you must spell the custom action exactly the same as the item's action (case-sensitive). Use the command: '/bc echo' and then use your item to see exactly how it is spelled."},
	["CryEditActionFrame"] = {
		name = BC_FRAMELABEL_ACTIONS, 
		text = "The action or event that will trigger a cry to be executed. Frequency determines the percentage chance that a cry will be executed when the action or event is performed. Cooldown determines how many seconds BattleCry will wait after executing a cry before another cry for that action or event will be executed again. You must click Save in this frame for the Frequency and Cooldown settings to be saved."},
	["CryEditCryListFrame"] = {
		name = BC_FRAMELABEL_CRIES, 
		text = "When you save a cry for an action or event, they get listed here. To completely remove a cry from an action, select the cry from this list and click Delete."},
	["CryInputFrame"] = {
		name = BC_FRAMELABEL_EDITCRY,
		text = "Change the specifics of an individual cry here.\nLanguage - Any lines in the BattleCry Text will be output in the selected language. If you do not select a language, it will default to common or orcish (depending on your faction). Only those languages that your character knows are available.\nOutput Mode - Any lines in the BattleCry Text will be output to the specified channel. If that channel is unavailable the cry will be output to the first available channel (Raid goes to Group, Group goes to Say, etc.).\nTest - Execute the cry in the language and output mode specified.\nNew - Clear all the fields and reset them to their default values for creating a new cry.\nConditions - Add conditions that must be met in order for the cry to be executed."},
	["CryInputFrame_CastDropDown"] = {
		name = BC_DROPDOWNLABEL_CAST, 
		text = "Select when to execute the cry. IMPORTANT: Only select Start for actions with a casting time."},
	["CryInputFrame_ExcludeCheckBox"]	= {
		name = BC_CHECKBOXLABEL_INTERRUPT, 
		text = "Check this only if you want this cry to be excluded from being selected normally. This is only useful when the cry is a part of a chain."},
	["CryInputFrame_InterruptCastCheckBox"] =  {
		name = BC_CHECKBOXLABEL_FREQUENCY, 
		text = "Check this if you want this cry to only be executed when the action is interrupted."},
	["CryInputFrame_AlwaysCryCheckBox"] =  {
		name = BC_CHECKBOXLABEL_EXCLUDE, 
		text = "Check this if you want this cry to ignore frequency and always cry if the conditions are met."},
	["BC_EditConditionsFrame_ExclusiveCheckbox"] =  {
		name = BC_CHECKBOXLABEL_EXCLUSIVE, 
		text = "Check this if you don't want other cries to be considered when the conditions of this cry are met. All conditions that are exclusive and have all conditions met will be considered when determining which cry to execute."},
	["ChainSelectHead"] =  {
		name = BC_FRAMELABEL_CHAINHEAD, 
		text = "Select the cry that you would like to be the head of the chain. When the selected Head Cry is executed, it sets the Tail Cry to be automatically executed if the Tail Action is the next action to be performed."},
	["ChainSelectTail"] =  {
		name = BC_FRAMELABEL_CHAINTAIL, 
		text = "Select the cry taht you would like to be the tail of the chain. When the Head Cry is executed, the selected Tail Cry will be automatically executed if the Tail Action is the next action to be performed."},
	["SavedChainsFrame"] =  {
		name = BC_FRAMELABEL_CHAINS, 
		text = "A list of chains that are currently saved."},
	["BC_MainFrame_DisableCheckBox"] =  {
		name = BC_CHECKBOXLABEL_DISABLE, 
		text = "Check this if you don't want cries to be executed at all."},
	["BC_EventWatchFrame_EventsFrame"] =  {
		name = BC_VARS_CATEGORYEVENTS, 
		text = "This is a list of all events that you can add watches to."},
	["BC_EventWatchFrame_WatchFrame"] =  {
		name = BC_VARS_CATEGORYWATCHES, 
		text = "Event Watches that you have saved will be listed here. You can also save and delete watches in this frame."},
	["BC_EventWatchFrame_Arg1Frame"] =  {
		name = BC_VARS_CATEGORYARG1, 
		text = "Select or type in what to look for when this event is triggered."},
	["BC_EventWatchFrame_Arg2Frame"] =  {
		name = BC_VARS_CATEGORYARG2, 
		text = "Type in what to look for when this event is triggered."},
	["CryInputFrame_FrequencySlider"] =  {
		name = BC_SLIDERLABEL_OCCURANCE, 
		text = "A cry with x10 occurance multiplier will be ten times more likely to be selected as a cry with x1 occurance multiplier and two times more likely to be selected as a cry with x5 occurance multiplier."},
	["CryEditActionFrame_FrequencySlider"] =  {
		name = BC_SLIDERLABEL_FREQUENCY, 
		text = "When this action is performed, there is a percent chance that a cry will be executed. Set that percent chance with this slider."},
	["CryEditActionFrame_CooldownEditBox"] =  {
		name = BC_EDITBOXLABEL_COOLDOWN, 
		text = "Set this to the number of seconds you want BattleCry to wait between executing cries for this action. Leave it at zero for no cooldown."},
	["BC_TabFrameTab1"] = {
		name = BC_TABLABEL_EVENTS,
		text = "This is where you can set up Event Watches. Once an Event Watch has been set up, you can add cries to that watch that will be executed whenever (or however often of a frequency you specify) the Event Watch is triggered."},	
	["BC_TabFrameTab2"] = {
		name = BC_TABLABEL_CHAINS,
		text = "Chains are useful for connecting a series of cries together, regardless of the actions that they are associated with. If you have a series of actions that you often do in the same order, you can create a series of cries that would execute in that order and only execute when they are a part of the chain."},	
	["BC_TabFrameTab3"] = {
		name = BC_TABLABEL_CRIES,
		text = "This is the heart of BattleCry. Every action can have an unlimited amount of cries saved to it. Every cry has a number of properties associated with it. Click the help for the Edit BattleCry frame for more information on these properties."},	
	};
--===================================================================================================================--

--Initialize

--===================================================================================================================--
BC_Spellbook = {};
BC_Languages = {};
BC_Initialized = {
		["spellbook"] = false,
		["petbook"] = false,
		["languages"] = false,
	};
BC_Defaults = {
		["language"] = 0,
		["events"] = {
			["TRAINER_SHOW"] = { watchType = 0, },
			["PLAYER_REGEN_DISABLED"] = { watchType = 0, },
			["PLAYER_REGEN_ENABLED"] = { watchType = 0, },
			["PLAYER_LEVEL_UP"] = { watchType = 0, },
			["PLAYER_CONTROL_LOST"] = { watchType = 0, },
			["PLAYER_CONTROL_GAINED"] = { watchType = 0, },
			["PLAYER_CAMPING"] = { watchType = 0, },
			["TRADE_SHOW"] = { watchType =  0, },
			["DUEL_FINISHED"] = { watchType =  0, },
			["DUEL_REQUESTED"] = { watchType =  0, },
			["PLAYER_PVP_KILLS_CHANGED"] = { watchType = 0, },
			["CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_HITS"] =  { watchType =  1, args = {	
												[1] = "%s hits %s for %d.", }, },
			["CHAT_MSG_COMBAT_HOSTILE_DEATH"] =  { watchType =  1, args = {
												[1] = "You have slain %s!",
												[2] = "%s dies.",	}, },
			["CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS"] =  { watchType =  1, args = {	
												[1] = "%s hits you for %d.", }, },
			["CHAT_MSG_COMBAT_CREATURE_VS_SELF_MISSES"] =  { watchType =  1, args = {
												[1] = "%s attacks. You dodge.",
												[2] = "%s attacks. You parry.",
												[3] = "%s misses you.", }, },
			["CHAT_MSG_COMBAT_SELF_HITS"] =  { watchType =  1, args = {	
												[1] = "You hit %s for %d.",
												[2] = "You hit %s for %d. (%d blocked)",
												[3] = "You crit %s for %d.", }, },
			["CHAT_MSG_COMBAT_SELF_MISSES"] =  { watchType =  1, args = {
												[1] = "You miss %s.",
												[2] = "You attack. %s parries.",
												[3] = "You attack. %s dodges.", }, },
			["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] =  { watchType =  1, args = {	
												[1] = "%s begins to cast %s.", }, },
			["CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE"] =  { watchType =  1, args = {	
												[1] = "%s hits you for %d %s damage.",
												[2] = "%s's %s was resisted.", }, },
			["CHAT_MSG_SPELL_CREATURE_VS_SELF_MISSES"] =  { watchType =  1, args = {
												[1] = "%s's %s was dodged.",
												[2] = "%s attacks. You parry.", }, },
			["CHAT_MSG_SPELL_SELF_DAMAGE"] =  { watchType =  1, args = {	
												[1] = "Your %s hits %s for %d.",
												[2] = "Your %s crits %s for %d %s damage.", }, },
			["CHAT_MSG_SPELL_SELF_MISSES"] =  { watchType =  1, args = {
												[1] = "You miss %s.",
												[2] = "You attack. %s parries.",
												[3] = "You attack. %s dodges.", }, },
			["CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE"] =  { watchType =  1, args = {	
												[1] = "%s suffers %d %s damage from your %s.", }, },
			["COMBAT_TEXT_UPDATE"] = { watchType =  2, args = {
												[1] = "DAMAGE",
												[2] = "DAMAGE_CRIT",
												[3] = "MISS",
												[4] = "BLOCK",
												[5] = "DODGE",
												[6] = "PARRY",
												[7] = "ABSORB",
												[8] = "SPELL_RESISTED",
												[9] = "SPELL_DAMAGE",
												[10] = "SPELL_ABSORB",
												[11] = "HEAL",
												[12] = "HEAL_CRIT",
												[13] = "AURA_START",
												[14] = "AURA_END",
												[15] = "AURA_START_HARMFUL",
												[16] = "AURA_END_HARMFUL", }, },
			["PLAYER_TARGET_CHANGED"] = { watchType =  2, args = { }, },
			["RAID_TARGET_CHANGED"] = { watchType =  2, args = { }, },
			["UNIT_AURA"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_AURASTATE"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_COMBO_POINTS"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_ENERGY"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_FOCUS"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_HAPPINESS"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_HEALTH"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_MANA"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc",  }, },
			["UNIT_RAGE"] = { watchType =  1, args = { "focus", "player", "pet", "target", "party1", "partypet1", "raid1", "raidpet1", "mouseover", "npc", }, },
			["CHAT_MSG_LOOT"] = { watchType =  1, args = { }, },
			["LOOT_OPENED"] = { watchType =  2, args = { }, },
			["LOOT_CLOSED"] = { watchType =  2, args = { }, },
		},
	};
BC_Saved = {
	cries = {},
	actions = {},
	chains = {},
	events = {},
	};
BC_Vars = {};
BC_Loaded = {
	cry = {},
	cooldowns = {},
	chain = {},
	};
	
BC_CategoryDB = {};
BC_ActionDB = {};
BC_CryListDB = {};
BC_ChainCategoryDB = {};
BC_ChainActionDB = {};
BC_ChainCryListDB = {};
BC_ConditionDB = {};
BC_WatchDB = {};
BC_EventsDB = {};
BC_Arg1DB = {};
BC_EventFinderDB = {};
BC_Selected = { 
		["category"] = 0,
		["action"] = 0,
		["cry"] = 0,
		["chainCategory"] = { ["Head"] = 0, ["Tail"] = 0 },
		["chainAction"] = { ["Head"] = 0, ["Tail"] = 0 },
		["chainCry"] = { ["Head"] = 0, ["Tail"] = 0 },
		["savedChain"] = 0,
		["condition"] = 0,
		["watch"] = 0,
		["event"] = 0,
		["arg1"] = 0,
		["eventFinder"] = 0,
	 };

--===================================================================================================================--

--Conditions

--===================================================================================================================--
BC_CONDITION_VARIABLES = {
	"$nm", "$hm", "$hc", "$hp", "$mm", "$mc", "$mp",
	"$cl", "$cc", "$cf", "$ct", "$fa", "$rc", "$lv",
	"$sx", "$gu", "$pv", "$ic", "$ip", "$ir", "$re", "$cv",
	"$pn", "$po", "$pp", "$ps", "$ga", "$gb",
	"$e#", "$h1", "$h2", "$h3", "$zn",};
BC_CONDITION_FUNCTIONS = {
		"UnitName", "UnitHealthMax", "UnitHealth", "BC_UnitHealthPercent",
		"UnitManaMax", "UnitMana", "BC_UnitManaPercent",
		"UnitClass", "UnitClassification", "UnitCreatureFamily", "UnitCreatureType",
		"UnitFactionGroup", "UnitRace", "UnitLevel",
		"UnitSex", "BC_GuildInfo", "UnitIsPVP",	"UnitAffectingCombat",
		"BC_UnitInParty", "BC_UnitInRaid", "BC_UnitReaction", 
		"UnitIsCivilian", "UnitName", "UnitSex", "UnitSex",
		"UnitSex", "UnitSex", "UnitSex",
		"BC_EventVariable", "BC_UnitItemMH", "BC_UnitItemOH", "BC_UnitItemRW",
		"GetZoneText"};
BC_CONDITION_TYPES = {
		1,2,2,2,
		2,2,2,
		1,1,1,1,
		1,1,2,
		2,1,3,3,
		3,3,2,
		3,2,2,2,
		2,2,2,
		1,1,1,1,
		1};
BC_CONDITION_TESTS = { "==", "<", "<=", ">", ">=", "~=", "Co", "co", };
BC_CONDITION_TESTS_MEANING = {
	"is equal to",
	"is less than",
	"is less than or equal to",
	"is greater than",
	"is greater than or equal to",
	"is not equal to",
	"case-sensitively contains",
	"case-insensitively contains", };
BC_CONDITION_TARGETS = { "player", "pet", "target", "focus", "event", };

BC_Conditions = {
	valid = false,
	exclusive = 0,
	["start"] = {},
	["ready"] = {}, };

--===================================================================================================================--

--Events

--===================================================================================================================--
